/* dlode.c by bill buckels 2009           */
/* a picture viewer for the apple II      */
/* written in Manx Aztec C65 Version 3.2b */
/* runs under DOS 3.3                     */
/* displays BSaved double hi-res Images   */

#include <g3.h>

int main()
{

 char picname[33];
 int c=999;

 for (;;) {
	setcrtmode(TEXT80);
	for (;;) {
		scr_apple();
		catalog();
		printf("Enter Pic Name: ");
		gets(picname); /* get the filename */
		if (picname[0] == 0)break;
		/* set double hires */
		setcrtmode(DHRMODE);
		if (c==999)dhrflood(0,0,79,191,0);
		c = dlode(picname);
		if (c==0)break;
		setcrtmode(TEXT80);
		scr_apple();
		bellerr();
		if (c == -1) printf("! Can't open %s\n",picname);
		else printf("! %s wrong format!\n",picname);
		printf("Press Any Key...");
		getch();

	}
	if (picname[0] == 0)break;
	if(getch()==27)break;
    dhrflood(0,0,79,191,0);
  }

  /* unset double hires */
  setcrtmode(TEXT80);
  scr_apple();
  return 0;

}

